#!/bin/bash
export CP=reload-editor.jar:lib/castor-0.9.5.3-xml.jar:lib/jaxen-1.1-beta-8.jar:lib/jdom.jar:lib/org.eclipse.core.runtime_3.0.1/runtime.jar:lib/org.eclipse.jface_3.0.0/jface.jar:lib/org.eclipse.osgi_3.0.1/console.jar:lib/org.eclipse.osgi_3.0.1/core.jar:lib/org.eclipse.osgi_3.0.1/defaultAdaptor.jar:lib/org.eclipse.osgi_3.0.1/eclipseAdaptor.jar:lib/org.eclipse.osgi_3.0.1/osgi.jar:lib/org.eclipse.osgi_3.0.1/resolver.jar:lib/reload-diva.jar:lib/reload-dweezil.jar:lib/reload-jdom.jar:lib/reload-moonunit.jar:lib/reload-support.jar:lib/xercesImpl.jar:lib/xml-apis.jar:i18n/

export MOZILLA_FIVE_HOME=/usr/lib/mozilla/
for MOZ in `ls /usr/lib | grep mozilla`;
do
	if test -f /usr/lib/$MOZ/libxpcom.so; then
		export MOZILLA_FIVE_HOME=/usr/lib/$MOZ;
	fi
done;
export LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME


case $OSTYPE in
  "cygwin"     )
	LIBDIR=lib/org.eclipse.swt.win32_3.0.1/os/win32/x86;
	CP=$CP:lib/org.eclipse.swt.win32_3.0.1/ws/win32/swt.jar;;
  "linux-gnu"  )
	LIBDIR=lib/org.eclipse.swt.gtk_3.0.2/os/linux/x86;
	CP=$CP:lib/org.eclipse.swt.gtk_3.0.2/ws/gtk/swt.jar:lib/org.eclipse.swt.gtk_3.0.2/ws/gtk/swt-mozilla.jar:lib/org.eclipse.swt.gtk_3.0.2/ws/gtk/swt-pi.jar;;
  *            )
	echo SWT library location not known for this OS type: $OSTYPE;;
esac

echo On $OSTYPE,
echo Using library path $LIBDIR.
echo Using class path $CP
echo Using MOZILLA_FIVE_HOME $MOZILLA_FIVE_HOME
echo Using LD_LIBRARY_PATH $LD_LIBRARY_PATH


echo java -Djava.library.path=$LIBDIR -classpath $CP uk.ac.reload.editor.EditorFrame
java      -Djava.library.path=$LIBDIR -classpath $CP uk.ac.reload.editor.EditorFrame

